Name:           python3-pythonocc-core
Version:        7.6.2
Release:        2%{?dist}
Summary:        3D modelling library using OpenCascade

License:        LGPL
URL:            https://github.com/tpaviot/pythonocc-core
Source0:        pythonocc-core-%{version}.tar.gz

BuildRequires:  python3-devel cmake swig gcc gcc-c++ rapidjson-devel
BuildRequires:  opencascade-devel = 7.6.3
BuildRequires:  python-setuptools
Requires:       python3-svgwrite python3-six 

%description
pythonOCC is a python library whose purpose is to provide 3D modeling features. It's intended to developers who aim at developing a complete CAD/PLM application, and to engineers who want to have a total control over the data during complex design activities.

%prep
%autosetup -n pythonocc-core-%{version}


%build
%cmake -DOCE_INCLUDE_PATH=%{_includedir}/opencascade -DOCE_LIB_PATH=%{_libdir}
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install


%files
%{python3_sitelib}/*

%changelog
* Tue Mar 05 2024 Bruno Postle <bruno@postle.net> 7.6.2-2
- add python-setuptools to provide distutils missing in f40

* Mon Jul 17 2023 Bruno Postle <bruno@postle.net> 7.6.2-1
- rebuild for opencascade-7.6.2

* Tue Aug 03 2021 Bruno Postle <bruno@postle.net> 7.5.0-2
- rebuild for python 3.10 in f35

* Sun Apr 25 2021 Bruno Postle <bruno@postle.net> 7.5.0-1
- build 7.5.0 for opencascade-7.5.0 in fc33+

* Fri Jul 31 2020 Bruno Postle <bruno@postle.net> 7.4.0-1
- switch from OCE (Open Cascade Community Edition) to opencascade library

* Sun Jul 26 2020 Bruno Postle <bruno@postle.net> 0.18.1-1
- initial package

